## org.eclipse.m2m.qvt.oml.debug.core.app
Class QVTODebugApplication

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.app.QVTOApplication
          org.eclipse.m2m.qvt.oml.debug.core.app.QVTODebugApplication

    public class QVTODebugApplication

extends QVTOApplication

Field Summary
`static java.lang.String` `ARG_PORT`
`static java.lang.String` `ID`

Fields inherited from class org.eclipse.m2m.qvt.oml.debug.core.app.QVTOApplication
`ARG_HELP, ARG_PARAM, ARG_TRACE, ARG_TRANSFORMATION`

Constructor Summary
`QVTODebugApplication()`

Method Summary
`protected TransformationRunnerFactory` `createRunnerFactory()`
`protected int` `doRun(org.eclipse.m2m.internal.qvt.oml.TransformationRunner runner)`
`protected java.lang.String` `getCommandLineUsage()`
`protected boolean` `processCommandLineArg(java.lang.String nextArg)`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.app.QVTOApplication
`createExecutionContext, createRunner, getArgValue, getExecutionContext, getRunnerFactory, isValueSpecArg, processCommandLine, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### ARG_PORT

    public static final java.lang.String ARG_PORT

See Also:
  Constant Field Values

Constructor Detail

### QVTODebugApplication

    public QVTODebugApplication()

Method Detail

### doRun

    protected int doRun(org.eclipse.m2m.internal.qvt.oml.TransformationRunner runner)

  Overrides:
    `doRun` in class `QVTOApplication`

### processCommandLineArg

    protected boolean processCommandLineArg(java.lang.String nextArg)

  Overrides:
    `processCommandLineArg` in class `QVTOApplication`

### createRunnerFactory

    protected TransformationRunnerFactory createRunnerFactory()

  Overrides:
    `createRunnerFactory` in class `QVTOApplication`

### getCommandLineUsage

    protected java.lang.String getCommandLineUsage()

  Overrides:
    `getCommandLineUsage` in class `QVTOApplication`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.